{% extends "base.html" %}

{% block title %}{{ alarme }} - Journal{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'alarmes' %}">Appareils</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ alarme }}</li>
{% endblock %}

{% block content %}
    <h2>Journal des installations pour {{ alarme }}</h2>
    
    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a class="nav-link" href="{% url 'alarme-edit' alarme.pk %}">Général</a>
      </li>
      <li class="nav-item">
        <a class="nav-link active" href="{% url 'alarme-journal' alarme.pk %}">Journal</a>
      </li>
    </ul>

    <table class="table">
      <thead>
        <tr>
          <th scope="col" class="quand">Quand</th>
          <th scope="col" class="qui">Qui</th>
          <th scope="col">Description</th>
        </tr>
      </thead>
      <tbody>
        {% for jdate, qui, description in object_list %}
        <tr>
          <td>{{ jdate|date:'d.m.Y'|default:'?' }}</th>
          <td>{{ qui }}</td>
          <td>{{ description }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>

    {% include 'pagination.html' %}
{% endblock %}
